Bug 637675 (CVE-2010-3432)

Summary: CVE-2010-3432 kernel: sctp: do not reset the packet during sctp_packet_config
Product: [Other] Security Response Reporter: Eugene Teo (Security Response) <eteo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: arozansk, bhu, dhoward, fhrbata, jkacur, jolsa, lgoncalv, mjc, pcfe, peterm, plyons, pmatouse, reich, rkhan, tcallawa, vgoyal, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100915,source=lkml,reported=20100927,impact=important,cvss2=7.8/AV:N/AC:L/Au:N/C:N/I:N/A:C,cwe=CWE-228->CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 637680, 637681, 637682, 637863, 637864, 637865, 637866, 637867    
Bug Blocks:    

Description Eugene Teo (Security Response) 2010-09-27 05:36:25 UTC
Description of problem:
sctp_packet_config() is called when getting the packet ready for appending of chunks.  The function should not touch the current state, since it's possible to ping-pong between two transports when sending, and that can result packet corruption followed by skb overlfow crash.

Upstream commit:
http://git.kernel.org/linus/4bdab43323b459900578b200a4b8cf9713ac8fab

Reference:
http://marc.info/?l=linux-netdev&m=128453869227715&w=3
http://www.spinics.net/lists/linux-sctp/msg01051.html

Essentially, we are resetting the contents of the packet when it's not empty.

Comment 6 Eugene Teo (Security Response) 2010-09-29 09:09:54 UTC
Mitigation:

For users that do not run applications that use SCTP, you can prevent the sctp module from being loaded by adding the following entry to the end of the /etc/modprobe.d/blacklist file:

blacklist sctp

This way, the sctp module cannot be loaded accidentally, which may occur if an application that requires SCTP is started. A reboot is not necessary for this change to take effect.

Comment 7 Eugene Teo (Security Response) 2010-09-29 09:12:58 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 3 as it did not include support for SCTP. This was addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2010-0958.html and https://rhn.redhat.com/errata/RHSA-2010-0842.html. Future updates in Red Hat Enterprise Linux 4 and 5 may address this flaw.

Comment 8 Chuck Ebbert 2010-09-30 21:44:39 UTC
Fixed in 2.6.32.23 and 2.6.35.6

Comment 13 errata-xmlrpc 2010-11-10 19:08:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 14 errata-xmlrpc 2010-11-22 19:34:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0842 https://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 15 errata-xmlrpc 2010-12-01 22:24:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0936 https://rhn.redhat.com/errata/RHSA-2010-0936.html

Comment 16 errata-xmlrpc 2010-12-08 19:09:01 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 21 errata-xmlrpc 2011-01-04 16:52:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0004 https://rhn.redhat.com/errata/RHSA-2011-0004.html

Comment 22 Flavio Leitner 2011-07-11 19:26:33 UTC
*** Bug 675997 has been marked as a duplicate of this bug. ***